REM 2005 (c) Copyright IBM Corp.
REM All Rights Reserved.

SET backupFolder=%1\FunctionalTester\eclipse\plugins\backup\rft61_refreshpack001\updater.rft_specific.agent.win32.611_1.0.0
rd /s /q %backupFolder%
mkdir %backupFolder%\ft

SET ftPlugin=%1\FunctionalTester\eclipse\plugins\com.rational.test.ft_6.1.0
SET ftWswPluginName=com.rational.test.ft.wswplugin_6.1.0
SET ftWswPlugin=%1\FunctionalTester\eclipse\plugins\%ftWswPluginName%
SET vbFTSampleProjectTemplates=%1\vb\FTSampleProject\template

copy /Y  uninstall.bat 							%backupFolder%
copy /Y  %ftWswPlugin%\rational_ft.rftcust 		%backupFolder%
copy /Y  %ftWswPlugin%\rtxftnet.dll 			%backupFolder%
copy /Y  %ftWswPlugin%\rtxivsys.dll 			%backupFolder%
copy /Y  %ftWswPlugin%\RTXIEEnabler.dll			%backupFolder%
copy /Y  %ftWswPlugin%\rational_ft_core.jar		%backupFolder%
copy /Y  %ftWswPlugin%\rtxiedomain.dll 			%backupFolder%
copy /Y  %ftWswPlugin%\rational_ft.exe 			%backupFolder%
copy /Y  %ftWswPlugin%\rational_ftw.exe			%backupFolder%
copy /Y  %ftWswPlugin%\rational_ft.jar 			%backupFolder%
copy /Y  %ftWswPlugin%\rtivregister.exe 		%backupFolder%
copy /Y  %ftWswPlugin%\ivory.properties 		%backupFolder%
copy /Y  %ftWswPlugin%\rtxftnetpolicy.config	%backupFolder%
copy /Y  %ftWswPlugin%\rtxnsenabler.xpi			%backupFolder%
copy /Y  %ftWswPlugin%\plugin.xml 				%backupFolder%
copy /Y  %ftWswPlugin%\plugin.properties 		%backupFolder%
copy /Y  %ftWswPlugin%\localization\ftmessages.properties %backupFolder%
copy /Y  %ftPlugin%\about.mappings 					%backupFolder%\ft
copy /Y  %ftPlugin%\about.properties 				%backupFolder%\ft
copy /Y  %ftPlugin%\plugin.xml 						%backupFolder%\ft
copy /Y  %ftPlugin%\plugin.properties	 			%backupFolder%\ft

mkdir %backupFolder%\%ftWswPluginName%
mkdir %backupFolder%\%ftWswPluginName%\templates
CALL :COPY_IF_EXISTS %ftWswPlugin%\templates\ft_script.java.rfttpl			%backupFolder%\%ftWswPluginName%\templates
CALL :COPY_IF_EXISTS %ftWswPlugin%\templates\ft_script.vb.rfttpl			%backupFolder%\%ftWswPluginName%\templates
CALL :COPY_IF_EXISTS %ftWswPlugin%\templates\ft_scripthelper.java.rfttpl	%backupFolder%\%ftWswPluginName%\templates
CALL :COPY_IF_EXISTS %ftWswPlugin%\templates\ft_scripthelper.vb.rfttpl		%backupFolder%\%ftWswPluginName%\templates
mkdir %backupFolder%\vb
CALL :COPY_IF_EXISTS %vbFTSampleProjectTemplates%\ft_script.vb.rfttpl		%backupFolder%\vb
CALL :COPY_IF_EXISTS %vbFTSampleProjectTemplates%\ft_scripthelper.vb.rfttpl	%backupFolder%\vb

REM Only process the file if we have a agent only install
mkdir %backupFolder%\config\IBM\RFT\Configuration

chperm "%ALLUSERSPROFILE%\Application Data\IBM\RFT" /T /G Everyone:C /Y
del chperm.exe

if not exist %1\FTSamples\ClassicsJavaA.jar copy /Y "%ALLUSERSPROFILE%\Application Data\IBM\RFT\configuration\configurations.rftcfg"	%backupFolder%\config\IBM\RFT\Configuration

copy /Y  GACUtility.exe				%backupFolder%
copy /Y  policy.6.1.rtxftnet.dll	%backupFolder%

rftpreupdater.exe %1
if ERRORLEVEL 1 exit -1
copy /Y rational_ft.rftcust 	%ftWswPlugin%
copy /Y rtxftnet.dll 			%ftWswPlugin%
copy /Y policy.6.1.rtxftnet.dll %ftWswPlugin%
copy /Y rtxivsys.dll 			%ftWswPlugin%
copy /Y RTXIEEnabler.dll 		%ftWswPlugin%
copy /Y rational_ft_core.jar 	%ftWswPlugin%
copy /Y rtxiedomain.dll			%ftWswPlugin%
copy /Y rational_ft.exe 		%ftWswPlugin%
copy /Y rational_ftw.exe 		%ftWswPlugin%
copy /Y rational_ft.jar 		%ftWswPlugin%
copy /Y rtivregister.exe 		%ftWswPlugin%
copy /Y ivory.properties 		%ftWswPlugin%
copy /Y rtxftnetpolicy.config	%ftWswPlugin%
copy /Y rtxnsenabler.xpi 		%ftWswPlugin%
copy /Y plugin.xml	 			%ftWswPlugin%
copy /Y plugin.properties 		%ftWswPlugin%
copy /Y ftmessages.properties 	%ftWswPlugin%\localization

copy /Y ft_script.java.rfttpl		%ftWswPlugin%\templates
copy /Y ft_script.vb.rfttpl			%ftWswPlugin%\templates
copy /Y ft_scripthelper.java.rfttpl	%ftWswPlugin%\templates
copy /Y ft_scripthelper.vb.rfttpl	%ftWswPlugin%\templates
if exist %vbFTSampleProjectTemplates% copy /Y ft_script.vb.rfttpl		%vbFTSampleProjectTemplates%
if exist %vbFTSampleProjectTemplates% copy /Y ft_scripthelper.vb.rfttpl	%vbFTSampleProjectTemplates%

copy /Y ft %ftPlugin%

REM Only process the file if we have a full install
REM Create Directory Structure if it doesn't exist
if not exist %1\FTSamples\ClassicsJavaA.jar copy /Y config\IBM\RFT\configuration\configurations.rftcfg	"%ALLUSERSPROFILE%\Application Data\IBM\RFT\configuration\configurations.rftcfg"

GACUtility.exe -a rtxftnet.dll -p policy.6.1.rtxftnet.dll
GOTO :EOF

:COPY_IF_EXISTS
	if exist %1 copy /Y %1 %2
	GOTO :EOF

